/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/*                                                                 */
/* file: aDefs.h                                                   */
/*                                                                 */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/*                                                                 */
/* description: basic definitions.                                 */
/*                                                                 */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/*                                                                 */
/* Copyright  1997-2000. Acroname Inc.                            */
/*                                                                 */
/* This software is the property of Acroname Inc.  Any             */
/* distribution, sale, transmission, or re-use of this code is     */
/* strictly forbidden except with permission from Acroname Inc.    */
/*                                                                 */
/* To the full extent allowed by law, Acroname Inc. also excludes  */
/* for itself and its suppliers any liability, wheither based in   */
/* contract or tort (including negligence), for direct,            */
/* incidental, consequential, indirect, special, or punitive       */
/* damages of any kind, or for loss of revenue or profits, loss of */
/* business, loss of information or data, or other financial loss  */
/* arising out of or in connection with this software, even if     */
/* Acroname Inc. has been advised of the possibility of such       */
/* damages.                                                        */
/*                                                                 */
/* Acroname Inc.                                                   */
/* www.acroname.com                                                */
/* 720-564-0373                                                    */
/*                                                                 */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef _aDefs_H_
#define _aDefs_H_

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * We define a unique boolean type to avoid conflict with other 
 * software the libraries or software may interact with.
 */
typedef int aBool;

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * These seem obvious but it can be quite useful to flush out 
 * bugs to use these instead of 1 and 0 directly.
 */
#define aTrue		1
#define aFalse		0

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * some compilers don't define NULL so we do it here
 */
#ifndef NULL
#define NULL 0L
#endif /* NULL */

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * signature in front of all compiled tea files
 */
#define aTEA_4BYTE_SIGNATURE	"aTEA"

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * math stuff
 */
#define aPI 3.1415926535897932384626433832795

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * basic types
 */
#define aSHORT	short
#define aFLOAT	float

#endif /* _aDefs_H_ */
