/*
 Functions that allow you to talk to the brainstem

 */

#ifndef _BRAINSTEM_H
#define _BRAINSTEM_H

#include "aCmd.tea"
#include "aIO.h"
#include "aStem.h"

#define DEFAULTADDRESS 2
#define PORTNAME "ttySA0" /* for the iPaq */
#define BAUDRATE 9600

/* holds settings for serial communication */
typedef struct struct_robotConfig {
  aIOLib           ioRef;
  aStemLib         stemRef;
  unsigned char    module;
  aStreamRef       serialStream;
  aStreamRef       outputStream;
  aPacketRef       packet;
  char             len;
  char             data[10];
} robotConfig;

/* try to connect to brainstem */
int stem_open(robotConfig *);
int stem_close(robotConfig *);

int SRV_REL(robotConfig *r, char serv, char reloff, char reldir);
int SRV_ABS(robotConfig *r, char serv, char abspos);
int SRV_POS(robotConfig *r, char serv);
int SRV_SAV(robotConfig *r);
int RESET(robotConfig *r);

#endif _BRAINSTEM_H
