/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/*                                                                 */
/* file: stdio_aFileTests.c                                        */
/*                                                                 */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/*                                                                 */
/* description: stdio testing module for the aFile shared library. */
/*                                                                 */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/*                                                                 */
/* Copyright  1997-2000. Acroname Inc.                            */
/*                                                                 */
/* This software is the property of Acroname Inc.  Any             */
/* distribution, sale, transmission, or re-use of this code is     */
/* strictly forbidden except with permission from Acroname Inc.    */
/*                                                                 */
/* To the full extent allowed by law, Acroname Inc. also excludes  */
/* for itself and its suppliers any liability, wheither based in   */
/* contract or tort (including negligence), for direct,            */
/* incidental, consequential, indirect, special, or punitive       */
/* damages of any kind, or for loss of revenue or profits, loss of */
/* business, loss of information or data, or other financial loss  */
/* arising out of or in connection with this software, even if     */
/* Acroname Inc. has been advised of the possibility of such       */
/* damages.                                                        */
/*                                                                 */
/* Acroname Inc.                                                   */
/* www.acroname.com                                                */
/* 720-564-0373                                                    */
/*                                                                 */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#include <unistd.h>

#include "aMemLeakDebug.h"

#include "aIOTests.h"
#include "aStream_STDIO_Console.h"

int main(int argc, char* argv[]) {

  aErr err;
  aIOLib libRef = NULL;
  aStreamRef output = NULL;

  if (aIO_GetLibRef(&libRef, &err))
    return 1;

  err = aStream_Create_STDIO_Console_Output(libRef, &output);
  if (err != aErrNone)
    return 1;

  aStream_WriteLine(libRef, output, "STDIO IO Tests Starting", NULL);

  if (aFileTests(libRef, output))
    aStream_WriteLine(libRef, output, "!!! FAILED !!!", NULL);

  if (aStreamTests(libRef, output))
    aStream_WriteLine(libRef, output, "!!! FAILED !!!", NULL);

  if (aSettingFileTests(libRef, output))
    aStream_WriteLine(libRef, output, "!!! FAILED !!!", NULL);

  if (aTokenizerTests(libRef, output))
    aStream_WriteLine(libRef, output, "!!! FAILED !!!", NULL);

  if (aIOTests(libRef, output))
    aStream_WriteLine(libRef, output, "!!! FAILED !!!", NULL);

  aStream_WriteLine(libRef, output, "STDIO IO Tests Finished", NULL);

  aStream_Destroy(libRef, output, NULL);

  aIO_ReleaseLibRef(libRef, NULL);

  aLeakCheckCleanup();

  return 0;

} /* main */

